Package io.dapr.v1

# Class DaprProtos.Job

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.DaprProtos.Job

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.JobOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

public static final class DaprProtos.Job extends com.google.protobuf.GeneratedMessageV3 implements DaprProtos.JobOrBuilder

     Job is the definition of a job. At least one of schedule or due_time must be
     provided but can also be provided together.

Protobuf type `dapr.proto.runtime.v1.Job`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DaprProtos.Job.Builder`
Job is the definition of a job.

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DATA_FIELD_NUMBER`
`static final int`
`DUE_TIME_FIELD_NUMBER`
`static final int`
`NAME_FIELD_NUMBER`
`static final int`
`REPEATS_FIELD_NUMBER`
`static final int`
`SCHEDULE_FIELD_NUMBER`
`static final int`
`TTL_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`com.google.protobuf.Any`
`getData()`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`com.google.protobuf.AnyOrBuilder`
`getDataOrBuilder()`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`static DaprProtos.Job`
`getDefaultInstance()`
`DaprProtos.Job`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`String`
`getDueTime()`
due_time is the optional time at which the job should be active, or the "one shot" time if other scheduling type fields are not provided.
`com.google.protobuf.ByteString`
`getDueTimeBytes()`
due_time is the optional time at which the job should be active, or the "one shot" time if other scheduling type fields are not provided.
`String`
`getName()`
The unique name for the job.
`com.google.protobuf.ByteString`
`getNameBytes()`
The unique name for the job.
`com.google.protobuf.Parser<DaprProtos.Job>`
`getParserForType()`
`int`
`getRepeats()`
repeats is the optional number of times in which the job should be triggered.
`String`
`getSchedule()`
schedule is an optional schedule at which the job is to be run.
`com.google.protobuf.ByteString`
`getScheduleBytes()`
schedule is an optional schedule at which the job is to be run.
`int`
`getSerializedSize()`
`String`
`getTtl()`
ttl is the optional time to live or expiration of the job.
`com.google.protobuf.ByteString`
`getTtlBytes()`
ttl is the optional time to live or expiration of the job.
`boolean`
`hasData()`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`boolean`
`hasDueTime()`
due_time is the optional time at which the job should be active, or the "one shot" time if other scheduling type fields are not provided.
`int`
`hashCode()`
`boolean`
`hasRepeats()`
repeats is the optional number of times in which the job should be triggered.
`boolean`
`hasSchedule()`
schedule is an optional schedule at which the job is to be run.
`boolean`
`hasTtl()`
ttl is the optional time to live or expiration of the job.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static DaprProtos.Job.Builder`
`newBuilder()`
`static DaprProtos.Job.Builder`
`newBuilder(DaprProtos.Job prototype)`
`DaprProtos.Job.Builder`
`newBuilderForType()`
`protected DaprProtos.Job.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.Job`
`parseDelimitedFrom(InputStream input)`
`static DaprProtos.Job`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.Job`
`parseFrom(byte[] data)`
`static DaprProtos.Job`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.Job`
`parseFrom(com.google.protobuf.ByteString data)`
`static DaprProtos.Job`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.Job`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.Job`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.Job`
`parseFrom(InputStream input)`
`static DaprProtos.Job`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.Job`
`parseFrom(ByteBuffer data)`
`static DaprProtos.Job`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.Job>`
`parser()`
`DaprProtos.Job.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### NAME_FIELD_NUMBER

public static final int NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### SCHEDULE_FIELD_NUMBER

public static final int SCHEDULE_FIELD_NUMBER

See Also:
  - Constant Field Values

### REPEATS_FIELD_NUMBER

public static final int REPEATS_FIELD_NUMBER

See Also:
  - Constant Field Values

### DUE_TIME_FIELD_NUMBER

public static final int DUE_TIME_FIELD_NUMBER

See Also:
  - Constant Field Values

### TTL_FIELD_NUMBER

public static final int TTL_FIELD_NUMBER

See Also:
  - Constant Field Values

### DATA_FIELD_NUMBER

public static final int DATA_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getName

public String getName()

     The unique name for the job.

`string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `DaprProtos.JobOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()

     The unique name for the job.

`string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `DaprProtos.JobOrBuilder`
Returns:
  The bytes for name.

### hasSchedule

public boolean hasSchedule()

     schedule is an optional schedule at which the job is to be run.
     Accepts both systemd timer style cron expressions, as well as human
     readable '@' prefixed period strings as defined below.

     Systemd timer style cron accepts 6 fields:
     seconds | minutes | hours | day of month | month        | day of week
     0-59    | 0-59    | 0-23  | 1-31         | 1-12/jan-dec | 0-6/sun-sat

     "0 30 * * * *" - every hour on the half hour
     "0 15 3 * * *" - every day at 03:15

     Period string expressions:
     Entry                  | Description                                  | Equivalent To
     -----                  | -----------                                  | -------------
     @every `<duration>`    | Run every `<duration>` (e.g. '@every 1h30m') | N/A
     @yearly (or @annually) | Run once a year, midnight, Jan. 1st          | 0 0 0 1 1 *
     @monthly               | Run once a month, midnight, first of month   | 0 0 0 1 * *
     @weekly                | Run once a week, midnight on Sunday          | 0 0 0 * * 0
     @daily (or @midnight)  | Run once a day, midnight                     | 0 0 0 * * *
     @hourly                | Run once an hour, beginning of hour          | 0 0 * * * *

`optional string schedule = 2 [json_name = "schedule"];`

Specified by:
  `hasSchedule` in interface `DaprProtos.JobOrBuilder`
Returns:
  Whether the schedule field is set.

### getSchedule

public String getSchedule()

     schedule is an optional schedule at which the job is to be run.
     Accepts both systemd timer style cron expressions, as well as human
     readable '@' prefixed period strings as defined below.

     Systemd timer style cron accepts 6 fields:
     seconds | minutes | hours | day of month | month        | day of week
     0-59    | 0-59    | 0-23  | 1-31         | 1-12/jan-dec | 0-6/sun-sat

     "0 30 * * * *" - every hour on the half hour
     "0 15 3 * * *" - every day at 03:15

     Period string expressions:
     Entry                  | Description                                  | Equivalent To
     -----                  | -----------                                  | -------------
     @every `<duration>`    | Run every `<duration>` (e.g. '@every 1h30m') | N/A
     @yearly (or @annually) | Run once a year, midnight, Jan. 1st          | 0 0 0 1 1 *
     @monthly               | Run once a month, midnight, first of month   | 0 0 0 1 * *
     @weekly                | Run once a week, midnight on Sunday          | 0 0 0 * * 0
     @daily (or @midnight)  | Run once a day, midnight                     | 0 0 0 * * *
     @hourly                | Run once an hour, beginning of hour          | 0 0 * * * *

`optional string schedule = 2 [json_name = "schedule"];`

Specified by:
  `getSchedule` in interface `DaprProtos.JobOrBuilder`
Returns:
  The schedule.

### getScheduleBytes

public com.google.protobuf.ByteString getScheduleBytes()

     schedule is an optional schedule at which the job is to be run.
     Accepts both systemd timer style cron expressions, as well as human
     readable '@' prefixed period strings as defined below.

     Systemd timer style cron accepts 6 fields:
     seconds | minutes | hours | day of month | month        | day of week
     0-59    | 0-59    | 0-23  | 1-31         | 1-12/jan-dec | 0-6/sun-sat

     "0 30 * * * *" - every hour on the half hour
     "0 15 3 * * *" - every day at 03:15

     Period string expressions:
     Entry                  | Description                                  | Equivalent To
     -----                  | -----------                                  | -------------
     @every `<duration>`    | Run every `<duration>` (e.g. '@every 1h30m') | N/A
     @yearly (or @annually) | Run once a year, midnight, Jan. 1st          | 0 0 0 1 1 *
     @monthly               | Run once a month, midnight, first of month   | 0 0 0 1 * *
     @weekly                | Run once a week, midnight on Sunday          | 0 0 0 * * 0
     @daily (or @midnight)  | Run once a day, midnight                     | 0 0 0 * * *
     @hourly                | Run once an hour, beginning of hour          | 0 0 * * * *

`optional string schedule = 2 [json_name = "schedule"];`

Specified by:
  `getScheduleBytes` in interface `DaprProtos.JobOrBuilder`
Returns:
  The bytes for schedule.

### hasRepeats

public boolean hasRepeats()

     repeats is the optional number of times in which the job should be
     triggered. If not set, the job will run indefinitely or until expiration.

`optional uint32 repeats = 3 [json_name = "repeats"];`

Specified by:
  `hasRepeats` in interface `DaprProtos.JobOrBuilder`
Returns:
  Whether the repeats field is set.

### getRepeats

public int getRepeats()

     repeats is the optional number of times in which the job should be
     triggered. If not set, the job will run indefinitely or until expiration.

`optional uint32 repeats = 3 [json_name = "repeats"];`

Specified by:
  `getRepeats` in interface `DaprProtos.JobOrBuilder`
Returns:
  The repeats.

### hasDueTime

public boolean hasDueTime()

     due_time is the optional time at which the job should be active, or the
     "one shot" time if other scheduling type fields are not provided. Accepts
     a "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string due_time = 4 [json_name = "dueTime"];`

Specified by:
  `hasDueTime` in interface `DaprProtos.JobOrBuilder`
Returns:
  Whether the dueTime field is set.

### getDueTime

public String getDueTime()

     due_time is the optional time at which the job should be active, or the
     "one shot" time if other scheduling type fields are not provided. Accepts
     a "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string due_time = 4 [json_name = "dueTime"];`

Specified by:
  `getDueTime` in interface `DaprProtos.JobOrBuilder`
Returns:
  The dueTime.

### getDueTimeBytes

public com.google.protobuf.ByteString getDueTimeBytes()

     due_time is the optional time at which the job should be active, or the
     "one shot" time if other scheduling type fields are not provided. Accepts
     a "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string due_time = 4 [json_name = "dueTime"];`

Specified by:
  `getDueTimeBytes` in interface `DaprProtos.JobOrBuilder`
Returns:
  The bytes for dueTime.

### hasTtl

public boolean hasTtl()

     ttl is the optional time to live or expiration of the job. Accepts a
     "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string ttl = 5 [json_name = "ttl"];`

Specified by:
  `hasTtl` in interface `DaprProtos.JobOrBuilder`
Returns:
  Whether the ttl field is set.

### getTtl

public String getTtl()

     ttl is the optional time to live or expiration of the job. Accepts a
     "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string ttl = 5 [json_name = "ttl"];`

Specified by:
  `getTtl` in interface `DaprProtos.JobOrBuilder`
Returns:
  The ttl.

### getTtlBytes

public com.google.protobuf.ByteString getTtlBytes()

     ttl is the optional time to live or expiration of the job. Accepts a
     "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string ttl = 5 [json_name = "ttl"];`

Specified by:
  `getTtlBytes` in interface `DaprProtos.JobOrBuilder`
Returns:
  The bytes for ttl.

### hasData

public boolean hasData()

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

Specified by:
  `hasData` in interface `DaprProtos.JobOrBuilder`
Returns:
  Whether the data field is set.

### getData

public com.google.protobuf.Any getData()

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

Specified by:
  `getData` in interface `DaprProtos.JobOrBuilder`
Returns:
  The data.

### getDataOrBuilder

public com.google.protobuf.AnyOrBuilder getDataOrBuilder()

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

Specified by:
  `getDataOrBuilder` in interface `DaprProtos.JobOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static DaprProtos.Job parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.Job parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.Job parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.Job parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.Job parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.Job parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.Job parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.Job parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.Job parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.Job parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.Job parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.Job parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DaprProtos.Job.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static DaprProtos.Job.Builder newBuilder()

### newBuilder

public static DaprProtos.Job.Builder newBuilder(DaprProtos.Job prototype)

### toBuilder

public DaprProtos.Job.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected DaprProtos.Job.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static DaprProtos.Job getDefaultInstance()

### parser

public static com.google.protobuf.Parser<DaprProtos.Job> parser()

### getParserForType

public com.google.protobuf.Parser<DaprProtos.Job> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public DaprProtos.Job getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`